Subject: [sup-talk] [CRASH] Sup crashed on exit after working with a draft mail

From: Alexander Shulgin <[email-masked]>
Date: Sat, 30 Apr 2011 15:19:26 +0300

Hi,

So I had some problems sending some mail the other day and was forced
to save a draft.  After the problem was resolved, I've sent my draft
and shortly after quit sup, which lead to an exception:

--- Errno::ENOENT from thread: main
No such file or directory - /home/user/.sup/drafts/0
/usr/lib/ruby/1.8/sup/draft.rb:33:in `delete'
/usr/lib/ruby/1.8/sup/draft.rb:33:in `discard'
/usr/lib/ruby/1.8/sup/util.rb:570:in `send'
/usr/lib/ruby/1.8/sup/util.rb:570:in `method_missing'
/usr/lib/ruby/1.8/sup/modes/resume-mode.rb:21:in `killable?'
/usr/lib/ruby/1.8/sup/buffer.rb:432:in `kill_buffer_safely'
/usr/bin/sup-mail:300

Since the bugtracker is down currently, I'm reporting it here.
Unfortunately, I don't recall the exact sequence that lead to this
crash.

This is with Sup 0.11 shipped with Ubuntu 10.11.

--
Alex
_______________________________________________
sup-talk mailing list
[email-masked]
http://rubyforge.org/mailman/listinfo/sup-talk